%define name ntfsprogs
%define rname linux-ntfs
%define version 1.4.0
%define release 2mdk
%define durl http://prdownloads.sourceforge.net/linux-ntfs
%define url http://linux-ntfs.sourceforge.net/

%define lib_name_orig libntfs
%define lib_major 2
%define lib_name %{lib_name_orig}%{lib_major}

Summary: NTFS filesystem libraries and utilities
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{durl}/%{rname}-%{version}.tar.bz2
Patch0: ntfsprogs-1.4.0-no-atomicinc.patch.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: %{url}

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. This package contains the following
utilities:

NtfsFix v1.17 - Attempt to fix an NTFS parition that has been damaged
by the Linux NTFS driver. It should be run every time after you have used the
Linux NTFS driver to write to an NTFS partition to prevent massive data
corruption from happening when Windows mounts the partition.
IMPORTANT: Run this only *after* unmounting the partition in Linux but
*before* rebooting into Windows NT/2000!

mkntfs v1.52 - Format a partition with the NTFS filesystem. 

%package -n %{lib_name}
Summary: Main library for %{lib_name_orig}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n %{lib_name}-devel
Summary: Header files and libraries for developing apps which will use %{lib_name_orig}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
The %{lib_name_orig}-devel package contains the header files and libraries needed
to develop programs that use the %{lib_name_orig}

Install the %{lib_name_orig}-devel package if you want to develop applications that
will use the %{lib_name_orig} library.

%prep
%setup -q -n %{rname}-%{version}
%ifarch alpha
%patch0 -p1
%endif

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO.ntfsfix TODO.include TODO.mkntfs doc/CodingStyle doc/attribute_definitions doc/attributes.txt doc/tunable_settings doc/template.c doc/template.h doc/system_files.txt doc/system_security_descriptors.txt
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/*/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*


%changelog
* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.4.0-2mdk
- Patch0: fix alpha build for lack of atomic_inc_and_test

* Wed Nov 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4.0-1mdk
- First version.

# end of file
